com.hazelcast.spi.discovery.integration

## Class DiscoveryServiceSettings

- java.lang.Object
- - com.hazelcast.spi.discovery.integration.DiscoveryServiceSettings

-     public final class DiscoveryServiceSettings
      extends Object

  The `DiscoveryServiceSettings` class is used to pass the necessary configuration to create a `DiscoveryService` to the `DiscoveryServiceProvider`. This approach is chosen to have an easily extensible way to provide new configuration properties over time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryServiceSettings()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassLoader` | `getConfigClassLoader()`
    `DiscoveryConfig` | `getDiscoveryConfig()`
    `DiscoveryMode` | `getDiscoveryMode()`
    `DiscoveryNode` | `getDiscoveryNode()`
    `ILogger` | `getLogger()`
    `DiscoveryServiceSettings` | `setConfigClassLoader(ClassLoader configClassLoader)`
    `DiscoveryServiceSettings` | `setDiscoveryConfig(DiscoveryConfig discoveryConfig)`
    `DiscoveryServiceSettings` | `setDiscoveryMode(DiscoveryMode discoveryMode)`
    `DiscoveryServiceSettings` | `setDiscoveryNode(DiscoveryNode discoveryNode)`
    `DiscoveryServiceSettings` | `setLogger(ILogger logger)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryServiceSettings

          public DiscoveryServiceSettings()

  - ### Method Detail

    - #### getDiscoveryNode

          public DiscoveryNode getDiscoveryNode()

    - #### setDiscoveryNode

          public DiscoveryServiceSettings setDiscoveryNode(DiscoveryNode discoveryNode)

    - #### getLogger

          public ILogger getLogger()

    - #### setLogger

          public DiscoveryServiceSettings setLogger(ILogger logger)

    - #### getConfigClassLoader

          public ClassLoader getConfigClassLoader()

    - #### setConfigClassLoader

          public DiscoveryServiceSettings setConfigClassLoader(ClassLoader configClassLoader)

    - #### getDiscoveryConfig

          public DiscoveryConfig getDiscoveryConfig()

    - #### setDiscoveryConfig

          public DiscoveryServiceSettings setDiscoveryConfig(DiscoveryConfig discoveryConfig)

    - #### getDiscoveryMode

          public DiscoveryMode getDiscoveryMode()

    - #### setDiscoveryMode

          public DiscoveryServiceSettings setDiscoveryMode(DiscoveryMode discoveryMode)

Copyright © 2018. All rights reserved.